## Index

### Type aliases

- CollectionAttributeTypes

### Functions

- collectionFromDb
- collectionToDb
- detectCollectionTypeFromMetadata

### Object literals

- CollectionMapper

## Type aliases

### CollectionAttributeTypes

CollectionAttributeTypes: StringSetAttribute | NumberSetAttribute | BinarySetAttribute | ListAttribute | NullAttribute

- Defined in mapper/for-type/collection.mapper.ts:16

## Functions

### collectionFromDb

- collectionFromDb(attributeValue: CollectionAttributeTypes, propertyMetadata?: PropertyMetadata<any, CollectionAttributeTypes>): any[] | Set<any>

- - Defined in mapper/for-type/collection.mapper.ts:23

  #### Parameters

  - ##### attributeValue: CollectionAttributeTypes

  - ##### Optional propertyMetadata: PropertyMetadata<any, CollectionAttributeTypes>

  #### Returns any[] | Set<any>

### collectionToDb

- collectionToDb(propertyValue: any[] | Set<any>, propertyMetadata?: PropertyMetadata<any, CollectionAttributeTypes>): CollectionAttributeTypes | null

- - Defined in mapper/for-type/collection.mapper.ts:58

  #### Parameters

  - ##### propertyValue: any[] | Set<any>

  - ##### Optional propertyMetadata: PropertyMetadata<any, CollectionAttributeTypes>

  #### Returns CollectionAttributeTypes | null

### detectCollectionTypeFromMetadata

- detectCollectionTypeFromMetadata(propertyMetadata: PropertyMetadata<any, CollectionAttributeTypes>, propertyValue: any): AttributeCollectionType

- - Defined in mapper/for-type/collection.mapper.ts:118

  #### Parameters

  - ##### propertyMetadata: PropertyMetadata<any, CollectionAttributeTypes>

  - ##### propertyValue: any

  #### Returns AttributeCollectionType

## Object literals

### Const CollectionMapper

CollectionMapper: object

- Defined in mapper/for-type/collection.mapper.ts:112

### fromDb

fromDb: collectionFromDb = collectionFromDb

- Defined in mapper/for-type/collection.mapper.ts:113

### toDb

toDb: collectionToDb = collectionToDb

- Defined in mapper/for-type/collection.mapper.ts:114

Generated using TypeDoc